Package ghidra.app.util.html

# Class CompositeDataTypeHTMLRepresentation

java.lang.Object
ghidra.app.util.html.HTMLDataTypeRepresentation
ghidra.app.util.html.CompositeDataTypeHTMLRepresentation

public class CompositeDataTypeHTMLRepresentation extends HTMLDataTypeRepresentation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ValidatableLine>`
  `alignmentText`
  `protected TextLine`
  `alignmentValueText`
  `protected List<ValidatableLine>`
  `bodyContent`
  `protected TextLine`
  `displayName`
  `protected TextLine`
  `footerText`
  `protected List<ValidatableLine>`
  `headerContent`
  `protected List<String>`
  `warningLines`

  ### Fields inherited from class ghidra.app.util.html.HTMLDataTypeRepresentation

  `ALIGNMENT_PREFIX, BR, CHARACTER_SPACE, DIFF_COLOR, ELLIPSES, EMPTY_TAG, END_COMMENT, FORWARD_SLASH, HTML_CLOSE, HTML_OPEN, HTML_SPACE, INDENT_CLOSE, INDENT_OPEN, LENGTH_PREFIX, MAX_CHARACTER_LENGTH, MAX_COMPONENTS, MAX_LINE_LENGTH, MIDDLE_COMMENT, originalHTMLData, START_COMMENT, TAB, TABLE_CLOSE, TABLE_OPEN, TD_CLOSE, TD_OPEN, TR_CLOSE, TR_OPEN, TT_CLOSE, TT_OPEN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `CompositeDataTypeHTMLRepresentation(Composite comp)`
  `protected`
  `CompositeDataTypeHTMLRepresentation(List<String> warningLines, List<ValidatableLine> header, List<ValidatableLine> bodyContent, List<ValidatableLine> alignmentText, TextLine footerText, TextLine displayName, TextLine alignmentValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<ValidatableLine>`
  `buildAlignmentText(Composite dataType)`
  `protected TextLine`
  `buildAlignmentValueText(Composite composite)`
  `protected List<String>`
  `buildWarnings(Composite comp)`
  `protected PlaceHolderLine`
  `createPlaceHolderLine(ValidatableLine oppositeLine)`
  Extension point for adding empty lines.
  `HTMLDataTypeRepresentation[]`
  `diff(HTMLDataTypeRepresentation otherRepresentation)`
  Compares this representation and the given representation creates a diff string for both representations.
  `protected void`
  `diffAlignment(List<ValidatableLine> myLines, List<ValidatableLine> otherLines)`
  `String`
  `getHTMLContentString()`
  This is like `HTMLDataTypeRepresentation.getHTMLString()`, but does not put HTML tags around the data
  `String`
  `getHTMLString()`
  Returns an HTML string for this data representation object.

  ### Methods inherited from class ghidra.app.util.html.HTMLDataTypeRepresentation

  `addDataTypeLength, addDataTypeLengthAndAlignment, buildFooterText, buildHeaderText, completelyDifferentDiff, copyLines, createCommentLines, diffTextLine, generateTypeName, getCommentForDataType, getDataTypeLengthString, getDiffInput, getDiffInput, getFullHTMLContentString, getFullHTMLString, truncateAsNecessary, truncateAsNecessary, wrapStringInColor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### warningLines

    protected List<String> warningLines

  - ### headerContent

    protected List<ValidatableLine> headerContent

  - ### bodyContent

    protected List<ValidatableLine> bodyContent

  - ### footerText

    protected TextLine footerText

  - ### displayName

    protected TextLine displayName

  - ### alignmentText

    protected List<ValidatableLine> alignmentText

  - ### alignmentValueText

    protected TextLine alignmentValueText

- ## Constructor Details

  - ### CompositeDataTypeHTMLRepresentation

    protected CompositeDataTypeHTMLRepresentation(List<String> warningLines, List<ValidatableLine> header, List<ValidatableLine> bodyContent, List<ValidatableLine> alignmentText, TextLine footerText, TextLine displayName, TextLine alignmentValue)

  - ### CompositeDataTypeHTMLRepresentation

    public CompositeDataTypeHTMLRepresentation(Composite comp)

- ## Method Details

  - ### buildWarnings

    protected List<String> buildWarnings(Composite comp)

  - ### buildAlignmentText

    protected List<ValidatableLine> buildAlignmentText(Composite dataType)

  - ### buildAlignmentValueText

    protected TextLine buildAlignmentValueText(Composite composite)

  - ### getHTMLString

    public String getHTMLString()
    Description copied from class: `HTMLDataTypeRepresentation`
    Returns an HTML string for this data representation object. The HTML returned will be truncated if it is too long. To get the full HTML, call `HTMLDataTypeRepresentation.getFullHTMLString()`.
    Overrides:
      `getHTMLString` in class `HTMLDataTypeRepresentation`
    Returns:
      the html
    See Also:
      - `HTMLDataTypeRepresentation.getFullHTMLString()`

  - ### getHTMLContentString

    public String getHTMLContentString()
    Description copied from class: `HTMLDataTypeRepresentation`
    This is like `HTMLDataTypeRepresentation.getHTMLString()`, but does not put HTML tags around the data
    Overrides:
      `getHTMLContentString` in class `HTMLDataTypeRepresentation`
    Returns:
      the content

  - ### createPlaceHolderLine

    protected PlaceHolderLine createPlaceHolderLine(ValidatableLine oppositeLine)
    Description copied from class: `HTMLDataTypeRepresentation`
    Extension point for adding empty lines. Subclasses that do not wish to use the default empty text line can override this method.
    Overrides:
      `createPlaceHolderLine` in class `HTMLDataTypeRepresentation`
    Parameters:
      `oppositeLine` - the line that will go along with the newly created placeholder line
    Returns:
      the placeholder line

  - ### diff

    public HTMLDataTypeRepresentation[] diff(HTMLDataTypeRepresentation otherRepresentation)
    Description copied from class: `HTMLDataTypeRepresentation`
    Compares this representation and the given representation creates a diff string for both representations.
    Specified by:
      `diff` in class `HTMLDataTypeRepresentation`
    Parameters:
      `otherRepresentation` - the other representation to diff against.
    Returns:
      An array of two strings: the first is this object's diff value, the second is the given objects diff value.

  - ### diffAlignment

    protected void diffAlignment(List<ValidatableLine> myLines, List<ValidatableLine> otherLines)